- Qt 5.15
- Qt 3D
- C++ Classes
- QPickPointEvent
- Qt 5.15.18 Reference Documentation

# QPickPointEvent Class

class Qt3DRender::QPickPointEvent

The QPickPointEvent class holds information when a segment of a point cloud is picked. More...

Header: | #include <QPickPointEvent>
qmake: | QT += 3drender
Since: | Qt 5.10
Instantiated By: | PickPointEvent
Inherits: | Qt3DRender::QPickEvent

This class was introduced in Qt 5.10.

- List of all members, including inherited members

## Properties

- pointIndex : const uint

## Public Functions

| QPickPointEvent()
uint | pointIndex() const

## Detailed Description

See also QPickEvent.

## Property Documentation

### pointIndex : const uint

Specifies the index of the point that was picked

Access functions:

uint | pointIndex() const

## Member Function Documentation

### QPickPointEvent::QPickPointEvent()

Constructs a new QPickPointEvent.

### uint QPickPointEvent::pointIndex() const

QPickPointEvent::pointIndex Returns the index of the picked point

Note: Getter function for property pointIndex.